summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-24 17:29:15 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-24 17:29:15 (EDT)
commitdcdcba79c7f50c948ea24e7b59e514144752bc75 (patch)
treebaf3009056617c6aa058ad9adbc92ac3b622655a
parent90278732cab6cf0648251b4ba6b09f93605025ec (diff)
Write a messages library.
-rw-r--r--lib/Makefile.in2
-rw-r--r--lib/messages.sh65
2 files changed, 66 insertions, 1 deletions
diff --git a/lib/Makefile.in b/lib/Makefile.in
index 711eee1..4e9ecdf 100644
--- a/lib/Makefile.in
+++ b/lib/Makefile.in
@@ -28,7 +28,7 @@ LIBDIR = @libdir@
.SUFFIXES:
.SUFFIXES: .sh
-SRCS = controlfields.sh architecture.sh archive.sh
+SRCS = controlfields.sh architecture.sh archive.sh messages.sh
OBJS = $(SRCS:.sh=)
PACKAGE = @package@
diff --git a/lib/messages.sh b/lib/messages.sh
new file mode 100644
index 0000000..e476954
--- /dev/null
+++ b/lib/messages.sh
@@ -0,0 +1,65 @@
+#!@@SHELL@@
+#
+# opkhelper
+# lib/messages
+# Functions for printing error and warning messages.
+#
+# Copyright (C) 2012 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Prints an error message and exits.
+# Parameters:
+# message
+# Output:
+# message
+# Return value:
+# none
+oh_error()
+{
+ printf '%s: Error: ' "${0##*/}"
+ printf "${@}"
+ printf '\n'
+ exit 1
+}
+
+# Prints a warning message.
+# Parameters:
+# message
+# Output:
+# message
+# Return value:
+# 0
+oh_warn()
+{
+ printf '%s: Warning: ' "${0##*/}"
+ printf "${@}"
+ printf '\n'
+ return 0
+}
+
+# Prints an informational message.
+# Parameters:
+# message
+# Output:
+# message
+# Return value:
+# 0
+oh_info()
+{
+ printf '%s: ' "${0##*/}"
+ printf "${@}"
+ printf '\n'
+ return 0
+}